<?php
add_action('init', 'video_register');

function video_register() {

	$labels = array(
		'name' => _x('Video', 'post type general name'),
		'singular_name' => _x('Video', 'post type singular name'),
		'add_new' => _x('Add New', 'video'),
		'add_new_item' => __('Add New Video'),
		'edit_item' => __('Edit Video'),
		'new_item' => __('New Video'),
		'view_item' => __('View Video'),
		'search_items' => __('Search Videos'),
		'not_found' =>  __('Nothing found'),
		'not_found_in_trash' => __('Nothing found in Trash'),
		'parent_item_colon' => ''
	);

	$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'query_var' => true,
		'menu_icon' => null,
		'rewrite' => true,
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position' => null,
		'supports' => array('title','editor','thumbnail','comments','custom-fields')
	  ); 

	register_post_type( 'video' , $args );
}



function add_custom_taxonomies() {

	register_taxonomy('genre', 'video', array(
		// Hierarchical taxonomy (like categories)
		'hierarchical' => true,
		// This array of options controls the labels displayed in the WordPress Admin UI
		'labels' => array(
			'name' => _x( 'Genre', 'taxonomy general name' ),
			'singular_name' => _x( 'Genre', 'taxonomy singular name' ),
			'search_items' =>  __( 'Search Genre' ),
			'all_items' => __( 'All Genre' ),
			'parent_item' => __( 'Parent Genre' ),
			'parent_item_colon' => __( 'Parent Genre:' ),
			'edit_item' => __( 'Edit Genre' ),
			'update_item' => __( 'Update Genre' ),
			'add_new_item' => __( 'Add New Genre' ),
			'new_item_name' => __( 'New Genre Name' ),
			'menu_name' => __( 'Genre' ),
		),
		// Control the slugs used for this taxonomy
		'rewrite' => array(
			'slug' => 'genre', // This controls the base slug that will display before each term
			'with_front' => false, // Don't display the category base before "/locations/"
			'hierarchical' => true // This will allow URL's like "/locations/boston/cambridge/"
		),
	));
}
add_action( 'init', 'add_custom_taxonomies', 0 );

?>
